# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`powerman`](#powerman): Manage powerman

### Defined types

* [`powerman::alias`](#powermanalias): Manage powerman device alias
* [`powerman::device`](#powermandevice): Manage powerman device
* [`powerman::node`](#powermannode): Manage powerman node

## Classes

### <a name="powerman"></a>`powerman`

Manage powerman

#### Examples

##### 

```puppet
include powerman
```

#### Parameters

The following parameters are available in the `powerman` class:

* [`ensure`](#ensure)
* [`manage_epel`](#manage_epel)
* [`server`](#server)
* [`listen`](#listen)
* [`powerman_server`](#powerman_server)
* [`powerman_port`](#powerman_port)
* [`tcpwrappers`](#tcpwrappers)
* [`cfgfile`](#cfgfile)
* [`driver_dir`](#driver_dir)
* [`driver_list`](#driver_list)
* [`aliases`](#aliases)
* [`devices`](#devices)
* [`nodes`](#nodes)
* [`pid_dir`](#pid_dir)
* [`user`](#user)

##### <a name="ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

Module ensure property

Default value: `'present'`

##### <a name="manage_epel"></a>`manage_epel`

Data type: `Boolean`

Boolean that determines if EPEL repo should be managed

Default value: ``true``

##### <a name="server"></a>`server`

Data type: `Boolean`

Boolean that sets host to act as powerman server

Default value: ``true``

##### <a name="listen"></a>`listen`

Data type: `Stdlib::IP::Address`

Address to listen on

Default value: `'127.0.0.1'`

##### <a name="powerman_server"></a>`powerman_server`

Data type: `Stdlib::Host`

Hostname of powerman server

Default value: `$facts['networking']['fqdn']`

##### <a name="powerman_port"></a>`powerman_port`

Data type: `Stdlib::Port`

The port of powerman server

Default value: `10101`

##### <a name="tcpwrappers"></a>`tcpwrappers`

Data type: `Optional[Boolean]`

Enable tcpwrappers support

Default value: ``undef``

##### <a name="cfgfile"></a>`cfgfile`

Data type: `Stdlib::Absolutepath`

Path to powerman.conf

Default value: `'/etc/powerman/powerman.conf'`

##### <a name="driver_dir"></a>`driver_dir`

Data type: `Stdlib::Absolutepath`

Driver directory

Default value: `'/etc/powerman'`

##### <a name="driver_list"></a>`driver_list`

Data type: `Array`

List of drivers to load

Default value: `['powerman','ipmipower']`

##### <a name="aliases"></a>`aliases`

Data type: `Hash`

Hash of aliases to pass to `powerman::alias`

Default value: `{}`

##### <a name="devices"></a>`devices`

Data type: `Hash`

Hash of devices to pass to `powerman::device`

Default value: `{}`

##### <a name="nodes"></a>`nodes`

Data type: `Hash`

Hash of nodes to pass to `powerman::node`

Default value: `{}`

##### <a name="pid_dir"></a>`pid_dir`

Data type: `Stdlib::Absolutepath`

Directory for PID file

Default value: `'/var/run/powerman'`

##### <a name="user"></a>`user`

Data type: `String`

User running powerman service

Default value: `'daemon'`

## Defined types

### <a name="powermanalias"></a>`powerman::alias`

Manage powerman device alias

#### Parameters

The following parameters are available in the `powerman::alias` defined type:

* [`nodes`](#nodes)
* [`order`](#order)

##### <a name="nodes"></a>`nodes`

Data type: `String`

Nodes for the alias

##### <a name="order"></a>`order`

Data type: `String`

Order in powerman.conf

Default value: `'75'`

### <a name="powermandevice"></a>`powerman::device`

Manage powerman device

#### Parameters

The following parameters are available in the `powerman::device` defined type:

* [`driver`](#driver)
* [`endpoint`](#endpoint)
* [`flags`](#flags)
* [`order`](#order)

##### <a name="driver"></a>`driver`

Data type: `String`

The device driver

##### <a name="endpoint"></a>`endpoint`

Data type: `String`

Device endpoint

##### <a name="flags"></a>`flags`

Data type: `Optional[String]`

Device flags

Default value: ``undef``

##### <a name="order"></a>`order`

Data type: `String`

Order in powerman.conf

Default value: `'25'`

### <a name="powermannode"></a>`powerman::node`

Manage powerman node

#### Parameters

The following parameters are available in the `powerman::node` defined type:

* [`device`](#device)
* [`port`](#port)
* [`order`](#order)

##### <a name="device"></a>`device`

Data type: `String`

Node device

##### <a name="port"></a>`port`

Data type: `Optional[String]`

Node port

Default value: ``undef``

##### <a name="order"></a>`order`

Data type: `String`

Order in powerman.conf

Default value: `'50'`

